Skip to navigation

Update Analysis

Beta
Update Analysis.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

analysis_idstringRequired
ID of the Analysis.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
archiveReasonstringOptional

Why it is being archived. Required when archived is true, and not allowed when unarchiving.

archivedbooleanOptional

Set to true to archive or false to unarchive it. Archiving requires archiveReason.

descriptionstring or nullOptional
folderIdstringOptional
namestringOptional
reasonForChangeobjectOptional

Reason for change applied to the entire request. Only relevant to tenants with Data Modifications enabled, where it may be required to update or delete items and is validated against the tenant’s configured reasons. Tenants without Data Modifications enabled can omit it; if supplied, it is not validated.

studyIdslist of stringsOptional
Study IDS to associate with the item.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstringOptionalformat: "datetime"
creatorobjectOptional
descriptionstring or nullOptional
folderobjectOptional
idstringOptional
modifiedAtstringOptionalformat: "datetime"
namestringOptional
statusCodeenumOptional
stepsstringOptionalformat: "uri"
webUrlstringOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error